<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Anos Controller
 *
 * @property \App\Model\Table\AnosTable $Anos
 *
 * @method \App\Model\Entity\Ano[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class AnosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $anos = $this->paginate($this->Anos);

        $this->set(compact('anos'));
    }

    /**
     * View method
     *
     * @param string|null $id Ano id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $ano = $this->Anos->get($id, [
            'contain' => ['Models']
        ]);

        $this->set('ano', $ano);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $ano = $this->Anos->newEntity();
        if ($this->request->is('post')) {
            $ano = $this->Anos->patchEntity($ano, $this->request->getData());
            if ($this->Anos->save($ano)) {
                $this->Flash->success(__('The ano has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The ano could not be saved. Please, try again.'));
        }
        $models = $this->Anos->Models->find('list', ['limit' => 200]);
        $this->set(compact('ano', 'models'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Ano id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $ano = $this->Anos->get($id, [
            'contain' => ['Models']
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $ano = $this->Anos->patchEntity($ano, $this->request->getData());
            if ($this->Anos->save($ano)) {
                $this->Flash->success(__('The ano has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The ano could not be saved. Please, try again.'));
        }
        $models = $this->Anos->Models->find('list', ['limit' => 200]);
        $this->set(compact('ano', 'models'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Ano id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $ano = $this->Anos->get($id);
        if ($this->Anos->delete($ano)) {
            $this->Flash->success(__('The ano has been deleted.'));
        } else {
            $this->Flash->error(__('The ano could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
