<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Bonosdescuentos Controller
 *
 * @property \App\Model\Table\BonosdescuentosTable $Bonosdescuentos
 *
 * @method \App\Model\Entity\Bonosdescuento[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class BonosdescuentosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $bonosdescuentos = $this->paginate($this->Bonosdescuentos);

        $this->set(compact('bonosdescuentos'));
    }

    /**
     * View method
     *
     * @param string|null $id Bonosdescuento id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $bonosdescuento = $this->Bonosdescuentos->get($id, [
            'contain' => []
        ]);

        $this->set('bonosdescuento', $bonosdescuento);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $bonosdescuento = $this->Bonosdescuentos->newEntity();
        if ($this->request->is('post')) {
            $bonosdescuento = $this->Bonosdescuentos->patchEntity($bonosdescuento, $this->request->getData());
            if ($this->Bonosdescuentos->save($bonosdescuento)) {
                $this->Flash->success(__('The bonosdescuento has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The bonosdescuento could not be saved. Please, try again.'));
        }
        $this->set(compact('bonosdescuento'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Bonosdescuento id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $bonosdescuento = $this->Bonosdescuentos->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $bonosdescuento = $this->Bonosdescuentos->patchEntity($bonosdescuento, $this->request->getData());
            if ($this->Bonosdescuentos->save($bonosdescuento)) {
                $this->Flash->success(__('The bonosdescuento has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The bonosdescuento could not be saved. Please, try again.'));
        }
        $this->set(compact('bonosdescuento'));
    }





     public function editar()
    {
        $bonosdescuento = $this->Bonosdescuentos->get(1, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $bonosdescuento = $this->Bonosdescuentos->patchEntity($bonosdescuento, $this->request->getData());
            if ($this->Bonosdescuentos->save($bonosdescuento)) {
                $this->Flash->success(__('The bonosdescuento has been saved.'));

                return $this->redirect(['action' => 'mostrar']);
            }
            $this->Flash->error(__('The bonosdescuento could not be saved. Please, try again.'));
        }
        $this->set(compact('bonosdescuento'));
    }

    public function mostrar()
    {
        $bonosdescuento = $this->Bonosdescuentos->get(1, [
            'contain' => []
        ]);

        $this->set('bonosdescuento', $bonosdescuento);
    }


    /**
     * Delete method
     *
     * @param string|null $id Bonosdescuento id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $bonosdescuento = $this->Bonosdescuentos->get($id);
        if ($this->Bonosdescuentos->delete($bonosdescuento)) {
            $this->Flash->success(__('The bonosdescuento has been deleted.'));
        } else {
            $this->Flash->error(__('The bonosdescuento could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
