<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Cotizacions Controller
 *
 * @property \App\Model\Table\CotizacionsTable $Cotizacions
 */
class CotizacionsController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Network\Response|null
     */
    public function index()
    {
        $cotizacions = $this->paginate($this->Cotizacions);

        $this->set(compact('cotizacions'));
        $this->set('_serialize', ['cotizacions']);
    }

    /**
     * View method
     *
     * @param string|null $id Cotizacion id.
     * @return \Cake\Network\Response|null
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $cotizacion = $this->Cotizacions->get($id, [
            'contain' => []
        ]);

        $this->set('cotizacion', $cotizacion);
        $this->set('_serialize', ['cotizacion']);
    }

    /**
     * Add method
     *
     * @return \Cake\Network\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $cotizacion = $this->Cotizacions->newEntity();
        if ($this->request->is('post')) {
            $cotizacion = $this->Cotizacions->patchEntity($cotizacion, $this->request->data);
            if ($this->Cotizacions->save($cotizacion)) {
                $this->Flash->success(__('The cotizacion has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The cotizacion could not be saved. Please, try again.'));
        }
        $this->set(compact('cotizacion'));
        $this->set('_serialize', ['cotizacion']);
    }

    /**
     * Edit method
     *
     * @param string|null $id Cotizacion id.
     * @return \Cake\Network\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $cotizacion = $this->Cotizacions->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $cotizacion = $this->Cotizacions->patchEntity($cotizacion, $this->request->data);
            if ($this->Cotizacions->save($cotizacion)) {
                $this->Flash->success(__('The cotizacion has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The cotizacion could not be saved. Please, try again.'));
        }
        $this->set(compact('cotizacion'));
        $this->set('_serialize', ['cotizacion']);
    }

    /**
     * Delete method
     *
     * @param string|null $id Cotizacion id.
     * @return \Cake\Network\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $cotizacion = $this->Cotizacions->get($id);
        if ($this->Cotizacions->delete($cotizacion)) {
            $this->Flash->success(__('The cotizacion has been deleted.'));
        } else {
            $this->Flash->error(__('The cotizacion could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
