<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Creditos Controller
 *
 * @property \App\Model\Table\CreditosTable $Creditos
 */
class CreditosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Network\Response|null
     */
    public function index()
    {
        $creditos = $this->paginate($this->Creditos);

        $this->set(compact('creditos'));
        $this->set('_serialize', ['creditos']);
    }

     public function detalle($cedula = null)
    {
        $creditos = $this->paginate($this->Creditos , ['conditions' => ['cedula' => $cedula]] );
        $this->set(compact('creditos'));
        $this->set('_serialize', ['creditos']);
    }

      public function detalle2($cedula = null)
    {
        $creditos = $this->paginate($this->Creditos , ['conditions' => ['cedula' => $cedula]] );
        $this->set(compact('creditos'));
        $this->set('_serialize', ['creditos']);
    }

       public function cuenta($cedula = null)
    {
        $creditos = $this->paginate($this->Creditos , ['conditions' => ['cedula' => $cedula]] );
        $this->set(compact('creditos'));
        $this->set('_serialize', ['creditos']);
    }

    /**
     * View method
     *
     * @param string|null $id Credito id.
     * @return \Cake\Network\Response|null
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $credito = $this->Creditos->get($id, [
            'contain' => []
        ]);

        $this->set('credito', $credito);
        $this->set('_serialize', ['credito']);
    }

    /**
     * Add method
     *
     * @return \Cake\Network\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $credito = $this->Creditos->newEntity();
        if ($this->request->is('post')) {
            $credito = $this->Creditos->patchEntity($credito, $this->request->data);
            if ($this->Creditos->save($credito)) {
                $this->Flash->success(__('The credito has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The credito could not be saved. Please, try again.'));
        }
        $this->set(compact('credito'));
        $this->set('_serialize', ['credito']);
    }

    /**
     * Edit method
     *
     * @param string|null $id Credito id.
     * @return \Cake\Network\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $credito = $this->Creditos->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $credito = $this->Creditos->patchEntity($credito, $this->request->data);
            if ($this->Creditos->save($credito)) {
                $this->Flash->success(__('The credito has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The credito could not be saved. Please, try again.'));
        }
        $this->set(compact('credito'));
        $this->set('_serialize', ['credito']);
    }

    /**
     * Delete method
     *
     * @param string|null $id Credito id.
     * @return \Cake\Network\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $credito = $this->Creditos->get($id);
        if ($this->Creditos->delete($credito)) {
            $this->Flash->success(__('The credito has been deleted.'));
        } else {
            $this->Flash->error(__('The credito could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
