<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 

/**
 * FeriaRecuperados Controller
 *
 * @property \App\Model\Table\FeriaRecuperadosTable $FeriaRecuperados
 *
 * @method \App\Model\Entity\FeriaRecuperado[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class FeriaRecuperadosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {

         $todostock  =  TableRegistry::get('feriaRecuperados');
        $querystock = $todostock->find('all');
        $this->set('feria', $querystock);    }

    /**
     * View method
     *
     * @param string|null $id Feria Recuperado id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $feriaRecuperado = $this->FeriaRecuperados->get($id, [
            'contain' => []
        ]);

        $this->set('feriaRecuperado', $feriaRecuperado);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $feriaRecuperado = $this->FeriaRecuperados->newEntity();
        if ($this->request->is('post')) {
            $feriaRecuperado = $this->FeriaRecuperados->patchEntity($feriaRecuperado, $this->request->getData());
            if ($this->FeriaRecuperados->save($feriaRecuperado)) {
                $this->Flash->success(__('The feria recuperado has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The feria recuperado could not be saved. Please, try again.'));
        }
        $this->set(compact('feriaRecuperado'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Feria Recuperado id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $feriaRecuperado = $this->FeriaRecuperados->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $feriaRecuperado = $this->FeriaRecuperados->patchEntity($feriaRecuperado, $this->request->getData());
            if ($this->FeriaRecuperados->save($feriaRecuperado)) {
                $this->Flash->success(__('The feria recuperado has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The feria recuperado could not be saved. Please, try again.'));
        }
        $this->set(compact('feriaRecuperado'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Feria Recuperado id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $feriaRecuperado = $this->FeriaRecuperados->get($id);
        if ($this->FeriaRecuperados->delete($feriaRecuperado)) {
            $this->Flash->success(__('The feria recuperado has been deleted.'));
        } else {
            $this->Flash->error(__('The feria recuperado could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
