<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 

/**
 * FeriaUsados Controller
 *
 * @property \App\Model\Table\FeriaUsadosTable $FeriaUsados
 *
 * @method \App\Model\Entity\FeriaUsado[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class FeriaUsadosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */

    public function index()
    {

       }  


    public function lista()
    {

        $todostock  =  TableRegistry::get('FeriaUsados');
        $querystock = $todostock->find('all');
        $this->set('feria', $querystock);


    }

    /**
     * View method
     *
     * @param string|null $id Feria Usado id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $feriaUsado = $this->FeriaUsados->get($id, [
            'contain' => []
        ]);

         $propuestasferias  =  TableRegistry::get('PropuestasFerias');
          $sql = "chasis = '".$feriaUsado->chassis."'";

          $query = $propuestasferias->find('all', ['conditions' => [$sql] , 'order' => ['bono' => 'desc'] ]);

        $this->set('feriaUsado', $feriaUsado);
        $this->set('chat', $query);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $feriaUsado = $this->FeriaUsados->newEntity();
        if ($this->request->is('post')) {
            $feriaUsado = $this->FeriaUsados->patchEntity($feriaUsado, $this->request->getData());
            if ($this->FeriaUsados->save($feriaUsado)) {
                $this->Flash->success(__('The feria usado has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The feria usado could not be saved. Please, try again.'));
        }
        $this->set(compact('feriaUsado'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Feria Usado id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $feriaUsado = $this->FeriaUsados->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $feriaUsado = $this->FeriaUsados->patchEntity($feriaUsado, $this->request->getData());
            if ($this->FeriaUsados->save($feriaUsado)) {
                $this->Flash->success(__('The feria usado has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The feria usado could not be saved. Please, try again.'));
        }
        $this->set(compact('feriaUsado'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Feria Usado id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $feriaUsado = $this->FeriaUsados->get($id);
        if ($this->FeriaUsados->delete($feriaUsado)) {
            $this->Flash->success(__('The feria usado has been deleted.'));
        } else {
            $this->Flash->error(__('The feria usado could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
