<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;

/**
 * InventarioPlayas Controller
 *
 * @property \App\Model\Table\InventarioPlayasTable $InventarioPlayas
 *
 * @method \App\Model\Entity\InventarioPlaya[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class InventarioPlayasController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {

        $this->set('users', [
            "TODOS", "HVN MATRIZ", "PREMIO", "KM 11"
        ]);

        if(!empty($this->request->query['search']) or !empty($this->request->query['search2'])){
            $search = $this->request->query['search'];
            $search2 = $this->request->query['search2'];
        
            $terms = explode(' ', trim($search));
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                if($search2 == '0'){
                    $conditions[] =  array('chasis ILIKE' => '%' . $term . '%');
                }else{
                    $conditions[] =  array('chasis ILIKE' => '%' . $term . '%' ,'empresa' => $search2, 'estado' => '0');
                }

                
            }
            $inventarioPlayas = $this->InventarioPlayas->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['id' => 'asc']));
           // debug($inventarioPlayas);
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('inventarioPlayas', 'terms1'));

            $this->set('search',$search);
            $this->set('search2', (int) $search2);
           
        } else {
            $inventarioPlayas = $this->paginate($this->InventarioPlayas, ['conditions' => "estado = 0"]);
             $this->set(compact('inventarioPlayas'));
        }
    }


    public function indexcargados()
    {

        if(!empty($this->request->query['search']) or !empty($this->request->query['search2'])){
            $search = $this->request->query['search'];
           
            $terms = explode(' ', trim($search));
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                if($search2 == '0'){
                    $conditions[] =  array('chasis ILIKE' => '%' . $term . '%' ,'empresa' => $this->Auth->User('empresa') );
                }else{
                    $conditions[] =  array('chasis ILIKE' => '%' . $term . '%' ,'empresa' => $this->Auth->User('empresa'), 'estado' => '0');
                }

                
            }
            $inventarioPlayas = $this->InventarioPlayas->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['id' => 'asc']));
           // debug($inventarioPlayas);
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('inventarioPlayas', 'terms1'));

            $this->set('search',$search);
            $this->set('search2', (int) $search2);
           
        } else {
            $inventarioPlayas = $this->paginate($this->InventarioPlayas, ['conditions' => "estado = 0", 'empresa' => $this->Auth->User('empresa')]);
             $this->set(compact('inventarioPlayas'));
        }
    }


    /**
     * View method
     *
     * @param string|null $id Inventario Playa id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $inventarioPlaya = $this->InventarioPlayas->get($id, [
            'contain' => []
        ]);

        $this->set('inventarioPlaya', $inventarioPlaya);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add($idstock = null)
    {
        $inventarioPlaya = $this->InventarioPlayas->newEntity();
        if ($this->request->is('post')) {
             $inventarioPlaya = $this->InventarioPlayas->patchEntity($inventarioPlaya, $this->request->getData());

             $stocks  =  TableRegistry::get('stocks');
             $stock = $stocks->get($idstock, []);

             $hoy = getdate(); 
             $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];
             $inventarioPlaya->fecha = $fecha;
             $inventarioPlaya->usuario = $this->Auth->User('id');
             $inventarioPlaya->empresa = $this->Auth->User('empresa');
             $inventarioPlaya->modelo = $stock->modelo;
             $inventarioPlaya->estado = 0;

             $marcas = explode(" ", $stock->modelo);

             $inventarioPlaya->marca = $marcas[0];
             $inventarioPlaya->color = $stock->color;
             $inventarioPlaya->chasis = $stock->chasis;

             $connection = ConnectionManager::get('default');
             $connection->execute('UPDATE inventario_playas SET estado=? WHERE chasis=?', [1, $stock->chasis]);
             $connection->commit();

             if ($this->InventarioPlayas->save($inventarioPlaya)) {

                if($this->Auth->User('empresa') == 1){
                    $connection = ConnectionManager::get('default');
                    $connection->execute('INSERT INTO depositos_ubicas(deposito_id, ubica_id, chasis, estado, usuario)VALUES (?, ?, ?, ?, ?)' , [1,1,$stock->chasis, 0, 0]);
                    $connection->execute('UPDATE depstock SET sto_deposito = ? WHERE sto_codprod = ?', [1, $stock->chasis]);
                    $connection->execute('UPDATE productos SET pro_ubicacion  = ? WHERE pro_codori = ?', [1, $stock->chasis]);
                    $connection->commit();
                    $connection->disconnect();
                }

                if($this->Auth->User('empresa') == 2){
                    $connection = ConnectionManager::get('default');
                    $connection->execute('INSERT INTO depositos_ubicas(deposito_id, ubica_id, chasis, estado, usuario)VALUES (?, ?, ?, ?, ?)' , [2,12,$stock->chasis, 0, 0]);
                    $connection->execute('UPDATE depstock SET sto_deposito = ? WHERE sto_codprod = ?', [2, $stock->chasis]);
                    $connection->execute('UPDATE productos SET pro_ubicacion  = ? WHERE pro_codori = ?', [12, $stock->chasis]);
                    $connection->commit();
                }

                if($this->Auth->User('empresa') == 3){
                    $connection = ConnectionManager::get('default');
                    $connection->execute('INSERT INTO depositos_ubicas(deposito_id, ubica_id, chasis, estado, usuario)VALUES (?, ?, ?, ?, ?)' , [3,18,$stock->chasis, 0, 0]);
                    $connection->execute('UPDATE depstock SET sto_deposito = ? WHERE sto_codprod = ?', [3, $stock->chasis]);
                    $connection->execute('UPDATE productos SET pro_ubicacion  = ? WHERE pro_codori = ?', [18, $stock->chasis]);
                    $connection->commit();
                    $connection->disconnect();
                }

                if($this->Auth->User('empresa') == 4){
                    $connection = ConnectionManager::get('default');
                    $connection->execute('INSERT INTO depositos_ubicas(deposito_id, ubica_id, chasis, estado, usuario)VALUES (?, ?, ?, ?, ?)' , [4,9,$stock->chasis, 0, 0]);
                    $connection->execute('UPDATE depstock SET sto_deposito = ? WHERE sto_codprod = ?', [4, $stock->chasis]);
                    $connection->execute('UPDATE productos SET pro_ubicacion  = ? WHERE pro_codori = ?', [9, $stock->chasis]);
                    $connection->commit();
                    $connection->disconnect();
                }
                

                $this->Flash->success(__('Inventario creado con exito!'));
                return $this->redirect(['action' => 'busqueda']);
            }
        }
         $this->set(compact('inventarioPlaya'));
    }


    /**
     * Edit method
     *
     * @param string|null $id Inventario Playa id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $inventarioPlaya = $this->InventarioPlayas->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $inventarioPlaya = $this->InventarioPlayas->patchEntity($inventarioPlaya, $this->request->getData());
            if ($this->InventarioPlayas->save($inventarioPlaya)) {
                $this->Flash->success(__('The inventario Playa has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The inventario Playa could not be saved. Please, try again.'));
        }
        $this->set(compact('inventarioPlaya'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Inventario Playa id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $inventarioPlaya = $this->InventarioPlayas->get($id);
        if ($this->InventarioPlayas->delete($inventarioPlaya)) {
            $this->Flash->success(__('The inventario Playa has been deleted.'));
        } else {
            $this->Flash->error(__('The inventario Playa could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }


    public function busqueda()
    {
        $search = null;
        if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
            foreach($terms as $term){
                $conditions[] = array('UPPER(chasis) LIKE' => '%' . strtoupper($term) . '%');
            }
            $inventarios  =  TableRegistry::get('stocks');
            $query = $inventarios->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['id' => 'asc']));
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('search', 'terms1'));
            $this->set('InventarioPlayas', $query);
        }else {
            $this->set('search', '');
        }
    }

}
