<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;

/**
 * InventarioUsados Controller
 *
 * @property \App\Model\Table\InventarioUsadosTable $InventarioUsados
 *
 * @method \App\Model\Entity\InventarioUsado[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class InventarioUsadosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {

        $search = null;
        if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] =  array('chasis ILIKE' => '%' . $term . '%');
            }
            $inventarioUsados = $this->InventarioUsados->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['id' => 'asc']));
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('inventarioUsados', 'terms1'));
        } else {
            $inventarioUsados = $this->paginate($this->InventarioUsados);
             $this->set(compact('inventarioUsados'));
        }
    }

    /**
     * View method
     *
     * @param string|null $id Inventario Usado id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $inventarioUsado = $this->InventarioUsados->get($id, [
            'contain' => []
        ]);

        $this->set('inventarioUsado', $inventarioUsado);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $inventarioUsado = $this->InventarioUsados->newEntity();
        if ($this->request->is('post')) {
            $inventarioUsado = $this->InventarioUsados->patchEntity($inventarioUsado, $this->request->getData());
            
             $hoy = getdate(); 
             $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];

             $inventarioUsado->fecha = $fecha;
             $inventarioUsado->usuario = $this->Auth->User('id');

             if ($this->InventarioUsados->save($inventarioUsado)) {
                $this->Flash->success(__('Inventario creado con exito!'));
                return $this->redirect(['action' => 'index']);
            }
        }
         $this->set(compact('inventarioUsado'));
    }


    /**
     * Edit method
     *
     * @param string|null $id Inventario Usado id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $inventarioUsado = $this->InventarioUsados->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $inventarioUsado = $this->InventarioUsados->patchEntity($inventarioUsado, $this->request->getData());
            if ($this->InventarioUsados->save($inventarioUsado)) {
                $this->Flash->success(__('The inventario usado has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The inventario usado could not be saved. Please, try again.'));
        }
        $this->set(compact('inventarioUsado'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Inventario Usado id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $inventarioUsado = $this->InventarioUsados->get($id);
        if ($this->InventarioUsados->delete($inventarioUsado)) {
            $this->Flash->success(__('The inventario usado has been deleted.'));
        } else {
            $this->Flash->error(__('The inventario usado could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
