<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;

/**
 * Inventariorechazados Controller
 *
 * @property \App\Model\Table\InventariorechazadosTable $Inventariorechazados
 *
 * @method \App\Model\Entity\Inventariorechazado[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class InventariorechazadosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $this->paginate = [
            'contain' => ['Inventarios']
        ];
        $inventariorechazados = $this->paginate($this->Inventariorechazados);

        $this->set(compact('inventariorechazados'));
    }

    /**
     * View method
     *
     * @param string|null $id Inventariorechazado id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $inventariorechazado = $this->Inventariorechazados->get($id, [
            'contain' => ['Inventarios']
        ]);

        $this->set('inventariorechazado', $inventariorechazado);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add($id = null, $tipo = null)
    {
        $inventariorechazado = $this->Inventariorechazados->newEntity();

        if ($this->request->is('post')) {
            $inventariorechazado = $this->Inventariorechazados->patchEntity($inventariorechazado, $this->request->getData());
            
            $inventarios = $this->Inventariorechazados->Inventarios->get($id);

            $hoy = getdate(); 
            $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];

            $inventariorechazado->fecha = $fecha;
            $inventariorechazado->usuario = $this->Auth->User('id');
            $inventariorechazado->chasis = $inventarios->chasis;
            $inventariorechazado->inventario_id = $id;
            $inventariorechazado->tipo = $tipo;

            if ($this->Inventariorechazados->save($inventariorechazado)) {


                 $connection = ConnectionManager::get('default');

                 $connection->execute('UPDATE inventarios SET estadocv=? WHERE id='. $inventarios->id, [$inventariorechazado->estado]);

                 $connection->commit(); 
                 $connection->disconnect();

                 return $this->redirect(
                     ['controller' => 'Inventarios', 'action' => 'index']
                );  
            }
            
        }
        $inventarios = $this->Inventariorechazados->Inventarios->find('list', ['limit' => 200]);
        $this->set(compact('inventariorechazado', 'inventarios'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Inventariorechazado id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $inventariorechazado = $this->Inventariorechazados->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $inventariorechazado = $this->Inventariorechazados->patchEntity($inventariorechazado, $this->request->getData());
            if ($this->Inventariorechazados->save($inventariorechazado)) {
                $this->Flash->success(__('The inventariorechazado has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The inventariorechazado could not be saved. Please, try again.'));
        }
        $inventarios = $this->Inventariorechazados->Inventarios->find('list', ['limit' => 200]);
        $this->set(compact('inventariorechazado', 'inventarios'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Inventariorechazado id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $inventariorechazado = $this->Inventariorechazados->get($id);
        if ($this->Inventariorechazados->delete($inventariorechazado)) {
            $this->Flash->success(__('The inventariorechazado has been deleted.'));
        } else {
            $this->Flash->error(__('The inventariorechazado could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
