<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * ModelsAnos Controller
 *
 * @property \App\Model\Table\ModelsAnosTable $ModelsAnos
 *
 * @method \App\Model\Entity\ModelsAno[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class ModelsAnosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $this->paginate = [
        'contain' => ['Models', 'Anos']];
        $modelsAnos = $this->paginate($this->ModelsAnos);
        $this->set(compact('modelsAnos')); 
    }

    /**
     * View method
     *
     * @param string|null $id Models Ano id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $modelsAno = $this->ModelsAnos->get($id, [
            'contain' => ['Models', 'Anos']
        ]);

        $this->set('modelsAno', $modelsAno);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $modelsAno = $this->ModelsAnos->newEntity();
        if ($this->request->is('post')) {
            $modelsAno = $this->ModelsAnos->patchEntity($modelsAno, $this->request->getData());
            if ($this->ModelsAnos->save($modelsAno)) {
                $this->Flash->success(__('The models ano has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The models ano could not be saved. Please, try again.'));
        }
        $models = $this->ModelsAnos->Models->find('list', ['limit' => 200]);
        $anos = $this->ModelsAnos->Anos->find('list', ['limit' => 200]);
        $this->set(compact('modelsAno', 'models', 'anos'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Models Ano id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $modelsAno = $this->ModelsAnos->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $modelsAno = $this->ModelsAnos->patchEntity($modelsAno, $this->request->getData());
            if ($this->ModelsAnos->save($modelsAno)) {
                $this->Flash->success(__('The models ano has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The models ano could not be saved. Please, try again.'));
        }
        $models = $this->ModelsAnos->Models->find('list', ['limit' => 200]);
        $anos = $this->ModelsAnos->Anos->find('list', ['limit' => 200]);
        $this->set(compact('modelsAno', 'models', 'anos'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Models Ano id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $modelsAno = $this->ModelsAnos->get($id);
        if ($this->ModelsAnos->delete($modelsAno)) {
            $this->Flash->success(__('The models ano has been deleted.'));
        } else {
            $this->Flash->error(__('The models ano could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
