<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Ordentrabajos Controller
 *
 * @property \App\Model\Table\OrdentrabajosTable $Ordentrabajos
 *
 * @method \App\Model\Entity\Ordentrabajo[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class OrdentrabajosController extends AppController
{


     public $paginate = [
        'order' => [
            'estado' => 'desc'
        ]
    ];

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {

$this->paginate = [
      	    'conditions' => ['estado IS NULL'],
            'order' => [
            'prioridad' => 'desc'
        ]
        ];

        $ordentrabajos = $this->paginate($this->Ordentrabajos);

        $this->set(compact('ordentrabajos'));
    }

    /**
     * View method
     *
     * @param string|null $id Ordentrabajo id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $ordentrabajo = $this->Ordentrabajos->get($id, [
            'contain' => []
        ]);

        $this->set('ordentrabajo', $ordentrabajo);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $ordentrabajo = $this->Ordentrabajos->newEntity();
        if ($this->request->is('post')) {
            $ordentrabajo = $this->Ordentrabajos->patchEntity($ordentrabajo, $this->request->getData());


            $hoy = getdate(); 
            $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year']; 

            $ordentrabajo->fecha = $fecha;
            if ($this->Ordentrabajos->save($ordentrabajo)) {
                $this->Flash->success(__('The ordentrabajo has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The ordentrabajo could not be saved. Please, try again.'));
        }
        $this->set(compact('ordentrabajo'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Ordentrabajo id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $ordentrabajo = $this->Ordentrabajos->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $ordentrabajo = $this->Ordentrabajos->patchEntity($ordentrabajo, $this->request->getData());
            if ($this->Ordentrabajos->save($ordentrabajo)) {
                $this->Flash->success(__('The ordentrabajo has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The ordentrabajo could not be saved. Please, try again.'));
        }
        $this->set(compact('ordentrabajo'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Ordentrabajo id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $ordentrabajo = $this->Ordentrabajos->get($id);
        if ($this->Ordentrabajos->delete($ordentrabajo)) {
            $this->Flash->success(__('The ordentrabajo has been deleted.'));
        } else {
            $this->Flash->error(__('The ordentrabajo could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }


    public function desactivar($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $ordentrabajo = $this->Ordentrabajos->get($id);
        $ordentrabajo->estado = 1;
        if ($this->Ordentrabajos->save($ordentrabajo)) {
             return $this->redirect(['action' => 'index']);
        } 

       
    }

}
