<?php

namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry;
use Cake\Datasource\ConnectionManager;

/**
 * Preciocreditos Controller
 *
 * @property \App\Model\Table\PreciocreditosTable $Preciocreditos
 *
 * @method \App\Model\Entity\Preciocredito[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class PreciocreditosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index($search = null)
    {
        $search = null;

        if (!empty($this->request->query['search'])) {
            $search = $this->request->query['search'];
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
            foreach ($terms as $term) {
                $terms1[] =  $term;
                $conditions[] = array(
                    array('upper(modelo) LIKE' => '%' . strtoupper($term) . '%'),
                );
            }
           
             $conditions[] = ['borrado' => 0];
             
            $preciocreditos = $this->Preciocreditos->find('all', array('conditions' =>  $conditions ));

            $this->set(compact('preciocreditos', 'search'));
        } else {
            $this->paginate = [
                'conditions' => ['borrado' => 0],
            ];
            $preciocreditos = $this->paginate($this->Preciocreditos);
            $this->set(compact('preciocreditos', 'search'));
        }
    }

    public function add()
    {
        $preciocredito = $this->Preciocreditos->newEntity();
        $Stocktodos = TableRegistry::get('stocktodos');

        $consulta = $Stocktodos->find()
            ->select(['lista' => $Stocktodos->query()->func()->concat([
                'marca' => 'identifier',
                ' ',
                'modelo' => 'identifier'
            ])])
            ->group(['marca', 'modelo'])
            ->order(['marca', 'modelo']);

        if ($this->request->is('post')) {
            $preciocredito = $this->Preciocreditos->patchEntity($preciocredito, $this->request->getData());


            if ($this->Preciocreditos->save($preciocredito)) {
                $this->Flash->success(__('El precio del credito ha sido guardado.'));

                return $this->redirect(['action' => 'index']);
            }
            //$this->Flash->error(__('El precio del credito no ha podido ser guardado. Por favor, intente de nuevo.'));
        }
        $this->set(compact('preciocredito', 'consulta'));
    }

    public function editarprecio($id = null)
    {
        $preciocredito = $this->Preciocreditos->get($id);
        $Stocktodos = TableRegistry::get('stocktodos');

        $consulta = $Stocktodos->find()
            ->select(['lista' => $Stocktodos->query()->func()->concat([
                'marca' => 'identifier',
                ' ',
                'modelo' => 'identifier'
            ])])
            ->group(['marca', 'modelo'])
            ->order(['marca', 'modelo']);

        if ($this->request->is(['patch', 'post', 'put'])) {
            $preciocredito = $this->Preciocreditos->patchEntity($preciocredito, $this->request->getData());
            if ($this->Preciocreditos->save($preciocredito)) {
                $this->Flash->success(__('El precio del credito ha sido guardado.'));

                return $this->redirect(['action' => 'index']);
            }
            //$this->Flash->error(__('El precio del credito no ha podido ser guardado. Por favor, intente de nuevo.'));
        }
        $this->set(compact('preciocredito', 'consulta'));
    }



    public function verprecio($id = null)
    {
        $preciocredito = $this->Preciocreditos->get($id);
        $this->set(compact('preciocredito'));
    }
    
    
    public function borrarprecio($id = null)
    {
        $preciocredito = $this->Preciocreditos->get($id);
      
        if ($this->request->is(['patch', 'post', 'put'])) {
            $preciocredito->borrado = 1;
            if ($this->Preciocreditos->save($preciocredito)) {
                $this->Flash->success(__('El precio se elimino'));

                return $this->redirect(['action' => 'index']);
            }
            //$this->Flash->error(__('El precio del credito no ha podido ser guardado. Por favor, intente de nuevo.'));
        }
        $this->set(compact('preciocredito', 'consulta'));
    }
    
    
    
}
