<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;

/**
 * Propuestasimuladors Controller
 *
 * @property \App\Model\Table\PropuestasimuladorsTable $Propuestasimuladors
 *
 * @method \App\Model\Entity\Propuestasimulador[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class PropuestasimuladorsController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $this->paginate = [
            'contain' => ['SimuladorVentas']
        ];
        $propuestasimuladors = $this->paginate($this->Propuestasimuladors);

        $this->set(compact('propuestasimuladors'));
    }

    public function listado($empresa)
    {

        $propuestasimulador = $this->Propuestasimuladors->newEntity();
        if ($this->request->is('post')) {
            $propuestasimulador = $this->Propuestasimuladors->patchEntity($propuestasimulador, $this->request->getData());
            
            $propuestasimulador->simulador_venta_id = $propuestasimulador->estado;
            $propuestasimulador->estado = 0;
            $simuladorVentas = TableRegistry::get('simuladorVentas');
            $simulador = $simuladorVentas->get($propuestasimulador->simulador_venta_id);

            $stocks = TableRegistry::get('stocks');
            $stock = $stocks->get($simulador->producto_id);

            $empleados = TableRegistry::get('empleados');
            $empleado = $empleados->get($simulador->empleado_id);

            $propuestasimulador->vendedor =  $empleado->nombre . ' ' .  $empleado->apellido;

            $propuestasimulador->chasis =  $stock->chasis;

            if ($this->Propuestasimuladors->save($propuestasimulador)) {
            }
        }
        $fecha = date('d/m/Y');
        $condicion = "propuestasimuladors.fecha = '" . $fecha . "' and propuestasimuladors.empresa = " . $empresa;
        $this->paginate = [
            'select' => '*',
            'conditions' => [$condicion],
            'order' => [
               'id' => 'asc'
            ],
            'contain' => ['SimuladorVentas']
        ];
       
        $propuestasimuladors = $this->paginate($this->Propuestasimuladors);
        
        $propuestasimulador = $this->Propuestasimuladors->newEntity();
        $this->set('propuestasimulado', propuestasimulador);

        $this->set(compact('propuestasimuladors'));
    }

    public function view($id = null)
    {
        $propuestasimulador = $this->Propuestasimuladors->get($id, [
            'contain' => ['SimuladorVentas']
        ]);

        $this->set('propuestasimulador', $propuestasimulador);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $propuestasimulador = $this->Propuestasimuladors->newEntity();
        if ($this->request->is('post')) {
            $propuestasimulador = $this->Propuestasimuladors->patchEntity($propuestasimulador, $this->request->getData());

            
            if ($this->Propuestasimuladors->save($propuestasimulador)) {
                $this->Flash->success(__('The propuestasimulador has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The propuestasimulador could not be saved. Please, try again.'));
        }
        $simuladorVentas = $this->Propuestasimuladors->SimuladorVentas->find('list', ['limit' => 200]);
        $this->set(compact('propuestasimulador', 'simuladorVentas'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Propuestasimulador id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $propuestasimulador = $this->Propuestasimuladors->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $propuestasimulador = $this->Propuestasimuladors->patchEntity($propuestasimulador, $this->request->getData());
            if ($this->Propuestasimuladors->save($propuestasimulador)) {
                $this->Flash->success(__('The propuestasimulador has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The propuestasimulador could not be saved. Please, try again.'));
        }
        $simuladorVentas = $this->Propuestasimuladors->SimuladorVentas->find('list', ['limit' => 200]);
        $this->set(compact('propuestasimulador', 'simuladorVentas'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Propuestasimulador id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $propuestasimulador = $this->Propuestasimuladors->get($id);
        if ($this->Propuestasimuladors->delete($propuestasimulador)) {
            $this->Flash->success(__('The propuestasimulador has been deleted.'));
        } else {
            $this->Flash->error(__('The propuestasimulador could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
