<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;


/**
 * Reparacions Controller
 *
 * @property \App\Model\Table\ReparacionsTable $reparacions
 *
 * @method \App\Model\Entity\Reparacion[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class ReparacionsController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {

      
        $this->paginate = [
            
            'order' => [
               'Reparacions.estado' => 'asc'
            ],
            'contain' => []
            
        ];

        $reparacions = $this->paginate($this->Reparacions);

        $this->set(compact('Reparacions'));
    }

    public function index2()
    {

        $condicion = 'Reparacions.empleado = ' .  $this->Auth->User('empleado') ;
        $this->paginate = [
            'conditions' => [$condicion],
            'order' => [
               'Reparacions.id' => 'asc'
            ],
            'contain' => []
            
        ];

        $reparacions = $this->paginate($this->Reparacions);

        $this->set(compact('Reparacions'));
    }

    /**
     * View method
     *
     * @param string|null $id Reparacion id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $reparacion = $this->Reparacions->get($id, [
            'contain' => []
        ]);

        $this->set('Reparacion', $reparacion);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add($chasis = null)
    {
        $reparacion = $this->Reparacions->newEntity();
        if ($this->request->is('post')) {
            $reparacion = $this->Reparacions->patchEntity($reparacion, $this->request->getData());
            $reparacion->chasis = $chasis;
            //$reparacion->empleado = $this->Auth->User('empleado');
            $Funcionario  =  TableRegistry::get('funcionarioreparacion');
            $funcionario = $Funcionario->get($reparacion->empleado);

            $reparacion->usuarioapp = $funcionario->usuario;
            $reparacion->fecha = date('d/m/Y');
            $reparacion->total = $reparacion->monto * $reparacion->cantidadpieza;
            $reparacion->entrega = 0;
            $reparacion->estado = 0;

            if ($this->Reparacions->save($reparacion)) {
                
                return $this->redirect(['action' => 'busqueda']);
            }
            $this->Flash->error(__('No se cargo. Favor, intente de nuevo.'));
        }

        $empleados  =  TableRegistry::get('funcionarioreparacion');
        $sqlempleado = "borrado = 0";
        $queryemple = $empleados->find('list', ['conditions' => [$sqlempleado], 'order by' => 'nombre']);
        
        $colores  =  TableRegistry::get('colors');
        $querycolor = $colores->find('list');

        $this->set('funcionario', $queryemple);
        $this->set('color', $querycolor);

        $this->set(compact('reparacion'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Reparacion id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $reparacion = $this->Reparacions->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $reparacion = $this->Reparacions->patchEntity($reparacion, $this->request->getData());
            if ($this->Reparacions->save($reparacion)) {
                $this->Flash->success(__('The Reparacion has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The Reparacion could not be saved. Please, try again.'));
        }
        $this->set(compact('reparacion'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Reparacion id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $reparacion = $this->Reparacions->get($id);
        if ($this->Reparacions->delete($reparacion)) {
            $this->Flash->success(__('The Reparacion has been deleted.'));
        } else {
            $this->Flash->error(__('The Reparacion could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }

     public function busqueda()
    {
        $search = null;
        if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
           
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] = array('UPPER(chasis) LIKE' => '%' . strtoupper($term) . '%');
            }
            $inventarios  =  TableRegistry::get('stocktodos');
            $query = $inventarios->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['id' => 'asc']));
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('search', 'terms1'));
            $this->set('imagenapps', $query);
                
        }else {
            $this->set('search', '');
        }
        
    }


    public function terminado($id = null)
    {
        $reparacion = $this->Reparacions->get($id, [
            'contain' => []
        ]);
        $reparacion->estado = 1;
        if ($this->Reparacions->save($reparacion)) {
                $this->Flash->success(__('Marcado como terminado'));

                return $this->redirect(['action' => 'index']);
        }
           
        
    }

}
