<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Respuestas Controller
 *
 * @property \App\Model\Table\RespuestasTable $Respuestas
 *
 * @method \App\Model\Entity\Respuesta[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class RespuestasController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $respuestas = $this->paginate($this->Respuestas);

        $this->set(compact('respuestas'));
    }

    /**
     * View method
     *
     * @param string|null $id Respuesta id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $respuesta = $this->Respuestas->get($id, [
            'contain' => []
        ]);

        $this->set('respuesta', $respuesta);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add($id=null)
    {
        $respuesta = $this->Respuestas->newEntity();
        if ($this->request->is('post')) {
            $respuesta = $this->Respuestas->patchEntity($respuesta, $this->request->getData());
            $respuesta->idpropuesta = $id;
            $usuario = $this->Auth->User('empleado');
            $respuesta->usuario = $usuario;
            $respuesta->nombreusuario = $this->Auth->User('first_name') . ' ' . $this->Auth->User('last_name');
            $hoy = getdate();
            $respuesta->fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];
            $respuesta->hora = $hoy['hours'].":".$hoy['minutes'].":".$hoy['seconds'];

            if($usuario = 3 or $usuario = 1 or $usuario = 48){
                $respuesta->tipo = 2;
            }else{
                $respuesta->tipo = 1;
            }

            if ($this->Respuestas->save($respuesta)) {
                $this->Flash->success(__('Mensaje enviado correctamente'));
                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('Intente de nuevo!'));
        }
        $this->set(compact('respuesta'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Respuesta id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $respuesta = $this->Respuestas->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $respuesta = $this->Respuestas->patchEntity($respuesta, $this->request->getData());
            if ($this->Respuestas->save($respuesta)) {
                $this->Flash->success(__('The respuesta has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The respuesta could not be saved. Please, try again.'));
        }
        $this->set(compact('respuesta'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Respuesta id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $respuesta = $this->Respuestas->get($id);
        if ($this->Respuestas->delete($respuesta)) {
            $this->Flash->success(__('The respuesta has been deleted.'));
        } else {
            $this->Flash->error(__('The respuesta could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
