<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;

/**
 * Trabajosarealizars Controller
 *
 * @property \App\Model\Table\TrabajosarealizarsTable $Trabajosarealizars
 *
 * @method \App\Model\Entity\Trabajosarealizar[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class TrabajosarealizarsController extends AppController
{
    
    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
         $search = null;
        if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
            
            foreach($terms as $term){
                
                $conditions[] = array(
                    'OR' => array(
                        "trim(UPPER(trabajosarealizars.responsable)||' '||UPPER(trabajosarealizars.encargado)||' '||UPPER(trabajosarealizars.chasis)) LIKE" => '%' . strtoupper($term) . '%'
                    )
                );
                
            }
           
             $Trabajosarealizars = $this->Trabajosarealizars->find('all', array('recursive' => -1, 'conditions' => $conditions));
              
            $this->set('Trabajosarealizars', $this->paginate($Trabajosarealizars));
            $this->set('_serialize', ['Trabajosarealizars']);
            $this->set('search', $search);
        
        } else { 
            $Trabajosarealizars = $this->paginate($this->Trabajosarealizars);
            
            $this->set(compact('Trabajosarealizars'));
            $this->set('search', $search);
        }
    }
    
    
    public function empleado()
    {
        $Trabajosarealizars = $this->paginate($this->Trabajosarealizars, ['conditions' => ['Trabajosarealizars.resposableid'  => $this->Auth->User('empleado'), 'Trabajosarealizars.estado_responsable' => 0  ]]);

        $this->set(compact('$Trabajosarealizars'));
       
    }
    
    
     public function finalizar($id = null)
    {
        
        
        $fecha = date('d/m/Y', time());
        $hora = date('h:i:s', time());
        
        $connection = ConnectionManager::get('default');
        $connection->execute('UPDATE detalle_orden_trabajo SET  dot_confirmacion_responsable=? WHERE dot_id = ?', [$this->Auth->User('empleado'), $id]);
        $connection->commit();
        $connection->disconnect();
        
        $connection2 = ConnectionManager::get('local');
        $connection2->execute('UPDATE detalle_orden_trabajo SET  dot_confirmacion_responsable=?, dot_fecha_salida_responsable=?, dot_hora_salida_responsable=? WHERE dot_id = ?', [$this->Auth->User('empleado'), $fecha, $hora, $id]);
        $connection2->commit();
        $connection2->disconnect();
        
        
        $this->Flash->success(__('Cambiado con exitos!'));

        echo "<script>history.go(-1)</script>";
                
    }
    
    
     public function comision($id = null)
    {
        $trabajo = $this->Trabajosarealizars;
        
        if ($this->request->is('post')) {
            
             $comi = $this->request->getData('comision');
             
        
           
           
            $connection = ConnectionManager::get('default');
            $connection->execute('UPDATE detalle_orden_trabajo SET  dot_comision=? WHERE dot_id = ?', [$comi, $id]);
            $connection->commit();
            $connection->disconnect();
            
            $connection2 = ConnectionManager::get('local');
            $connection2->execute('UPDATE detalle_orden_trabajo SET dot_comision=? WHERE dot_id = ?', [$comi, $id]);
            $connection2->commit();
            $connection2->disconnect();
            
            return $this->redirect(['action' => 'index']);
            
          
        }
    
        $this->set(compact('trabajo'));
    }
    
    
    
}