<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;
use Cake\Auth\DefaultPasswordHasher; // Add this line

/**
 * User Entity
 *
 * @property int $id
 * @property string $first_name
 * @property string $last_name
 * @property string $email
 * @property string $password
 * @property string $role
 * @property int $active
 * @property \Cake\I18n\Time $created
 * @property \Cake\I18n\Time $modified
 * @property int $tipo
 * @property int $empleado
 * @property int $empresa
 * @property int $fotogrilla
 * @property int $gerente
 * @property int $chapista
 * @property int $lavadero
 * @property int $mostrarstock
 * @property int $mostrardeuda
 * @property int $mostrarganancia
 * @property int $solorepuesto
 * @property int $tipovista
 * 
 *
 * @property \App\Model\Entity\Empleado[] $empleados
 */
class User extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        '*' => true,
        'id' => false
    ];

     /**
     * Fields that are excluded from JSON versions of the entity.
     *
     * @var array
     */

    protected $_hidden = [
        'password'
    ];


    protected function _setPassword($value)
    {
        if (strlen($value)) {
            $hasher = new DefaultPasswordHasher();

            return $hasher->hash($value);
        }
    }

    protected function _getLabel()
    {
        return $this->_properties['first_name'] . ' ' . $this->_properties['last_name'];
    }

}
