<?php

namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Agendacompletadors Model
 *
 * @method \App\Model\Entity\Agendacompletador newEmptyEntity()
 * @method \App\Model\Entity\Agendacompletador newEntity(array $data, array $options = [])
 * @method \App\Model\Entity\Agendacompletador[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Agendacompletador get($primaryKey, $options = [])
 * @method \App\Model\Entity\Agendacompletador findOrCreate($search, ?callable $callback = null, $options = [])
 * @method \App\Model\Entity\Agendacompletador patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Agendacompletador[] patchEntities(iterable $entities, array $data, array $options = [])
 * @method \App\Model\Entity\Agendacompletador|false save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Agendacompletador saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Agendacompletador[]|\Cake\Datasource\ResultSetInterface|false saveMany(iterable $entities, $options = [])
 * @method \App\Model\Entity\Agendacompletador[]|\Cake\Datasource\ResultSetInterface saveManyOrFail(iterable $entities, $options = [])
 * @method \App\Model\Entity\Agendacompletador[]|\Cake\Datasource\ResultSetInterface|false deleteMany(iterable $entities, $options = [])
 * @method \App\Model\Entity\Agendacompletador[]|\Cake\Datasource\ResultSetInterface deleteManyOrFail(iterable $entities, $options = [])
 */
class AgendacompletadorsTable extends Table
{
    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('agendacompletadors');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->scalar('fecha')
            ->maxLength('fecha', 50)
            ->allowEmpty('fecha');

        $validator
            ->integer('stockid')
            ->allowEmpty('stockid');

        $validator
            ->integer('completadorid')
            ->allowEmpty('completadorid');

        $validator
            ->scalar('detalle')
            ->allowEmpty('detalle');

        $validator
            ->integer('estado')
            ->allowEmpty('estado');

        $validator
            ->scalar('fechaterminacion')
            ->maxLength('fechaterminacion', 50)
            ->allowEmpty('fechaterminacion');

        return $validator;
    }
}
