<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Aprobarventaentregas Model
 *
 * @method \App\Model\Entity\Aprobarventaentrega get($primaryKey, $options = [])
 * @method \App\Model\Entity\Aprobarventaentrega newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Aprobarventaentrega[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Aprobarventaentrega|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Aprobarventaentrega|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Aprobarventaentrega patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Aprobarventaentrega[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Aprobarventaentrega findOrCreate($search, callable $callback = null, $options = [])
 */
class AprobarventaentregasTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
        $this->setTable('aprobarventaentregas');

        $this->belongsTo('aprobarventas', [
            'foreignKey' => 'id_aprobarventa'
        ]);
        
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

        $validator
            ->integer('id_aprobarventa')
            ->allowEmpty('id_aprobarventa');

        $validator
            ->scalar('detalle')
            ->allowEmpty('detalle');

        $validator
            ->scalar('detalle2')
            ->allowEmpty('detalle2');

        $validator
            ->scalar('moneda')
            ->allowEmpty('moneda');

        $validator
            ->numeric('monto')
            ->allowEmpty('monto');

        return $validator;
    }

         /**
     * Returns a rules checker object that will be used for validating
     * application integrity.
     *
     * @param \Cake\ORM\RulesChecker $rules The rules object to be modified.
     * @return \Cake\ORM\RulesChecker
     */
    public function buildRules(RulesChecker $rules)
    {
        $rules->add($rules->existsIn(['id_aprobarventa'], 'aprobarventas'));

        return $rules;
    }


}
