<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Creditos Model
 *
 * @method \App\Model\Entity\Credito get($primaryKey, $options = [])
 * @method \App\Model\Entity\Credito newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Credito[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Credito|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Credito patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Credito[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Credito findOrCreate($search, callable $callback = null, $options = [])
 */
class CreditosTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->table('creditos');
        $this->displayField('id');
        $this->primaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->allowEmpty('fecha');

        $validator
            ->allowEmpty('descripcion');

        $validator
            ->allowEmpty('estado');

        $validator
            ->allowEmpty('cedula');

        $validator
            ->allowEmpty('observacion');

        $validator
            ->allowEmpty('fechaactualizacion');

        $validator
            ->allowEmpty('moneda');

        return $validator;
    }
}
