<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Cuotas Model
 *
 * @method \App\Model\Entity\Cuota get($primaryKey, $options = [])
 * @method \App\Model\Entity\Cuota newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Cuota[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Cuota|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Cuota patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Cuota[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Cuota findOrCreate($search, callable $callback = null, $options = [])
 */
class CuotasTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->table('cuotas');
        $this->displayField('id');
        $this->primaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->numeric('total')
            ->allowEmpty('total');

        $validator
            ->numeric('entrega')
            ->allowEmpty('entrega');

        $validator
            ->integer('numerocuota')
            ->allowEmpty('numerocuota');

        $validator
            ->allowEmpty('fechavencimiento');

        $validator
            ->allowEmpty('estado');

        $validator
            ->numeric('saldo')
            ->allowEmpty('saldo');

        $validator
            ->allowEmpty('fechapago');

        $validator
            ->integer('credito')
            ->allowEmpty('credito');

        $validator
            ->allowEmpty('fechaactualizacion');

        return $validator;
    }
}
