<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Cvcostos Model
 *
 *
 * @method \App\Model\Entity\Cvcosto get($primaryKey, $options = [])
 * @method \App\Model\Entity\Cvcosto newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Cvcosto[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Cvcosto|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Cvcosto|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Cvcosto patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Cvcosto[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Cvcosto findOrCreate($search, callable $callback = null, $options = [])
 */
class CvcostosTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('cvcostos');
        $this->setDisplayField('chasis');
        $this->setPrimaryKey('id');

       
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('chasis')
            ->maxLength('chasis', 150)
            ->allowEmpty('chasis');

        return $validator;
    }
}
