<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Listadoclientes Model
 *
 * @method \App\Model\Entity\Listadocliente get($primaryKey, $options = [])
 * @method \App\Model\Entity\Listadocliente newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Listadocliente[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Listadocliente|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Listadocliente|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Listadocliente patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Listadocliente[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Listadocliente findOrCreate($search, callable $callback = null, $options = [])
 */
class ListadoclientesTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('listadoclientes');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('fecha')
            ->maxLength('fecha', 250)
            ->allowEmpty('fecha');

        
        return $validator;
    }
}
