<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Listadoordentrabajos Model
 *
 * @method \App\Model\Entity\Listadoordentrabajos get($primaryKey, $options = [])
 * @method \App\Model\Entity\Listadoordentrabajos newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Listadoordentrabajos[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Listadoordentrabajos|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Listadoordentrabajos|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Listadoordentrabajos patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Listadoordentrabajos[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Listadoordentrabajos findOrCreate($search, callable $callback = null, $options = [])
 */
class ListadoordentrabajosTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('listadoordentrabajos');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
        
         $this->hasMany('Ortrabajos', [
            'foreignKey' => 'id'
        ])->setForeignKey('ordentrabajo');
        
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('fecha')
            ->maxLength('fecha', 250)
            ->allowEmpty('fecha');


        return $validator;
    }
    
    
    /**
     * Returns a rules checker object that will be used for validating
     * application integrity.
     *
     * @param \Cake\ORM\RulesChecker $rules The rules object to be modified.
     * @return \Cake\ORM\RulesChecker
     */
    public function buildRules(RulesChecker $rules)
    {
        $rules->add($rules->existsIn(['ordentrabajo'], 'Ortrabajos'));

        return $rules;
    }
    
    
}
