<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Viewventacab Model
 *
 * @method \App\Model\Entity\Viewventacab get($primaryKey, $options = [])
 * @method \App\Model\Entity\Viewventacab newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Viewventacab[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Viewventacab|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Viewventacab|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Viewventacab patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Viewventacab[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Viewventacab findOrCreate($search, callable $callback = null, $options = [])
 */
class ViewventacabTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('viewventacab');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

        $validator
            ->date('fecha')
            ->allowEmpty('fecha');

        $validator
            ->scalar('cliente')
            ->maxLength('cliente', 100)
            ->allowEmpty('cliente');

        $validator
            ->scalar('nombre')
            ->maxLength('nombre', 100)
            ->allowEmpty('nombre');

        $validator
            ->scalar('apellido')
            ->maxLength('apellido', 100)
            ->allowEmpty('apellido');

        $validator
            ->integer('seguro')
            ->allowEmpty('seguro');

        $validator
            ->integer('mantenimiento')
            ->allowEmpty('mantenimiento');

        return $validator;
    }
}
