<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Bono $bono
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Bono'), ['action' => 'edit', $bono->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Bono'), ['action' => 'delete', $bono->id], ['confirm' => __('Are you sure you want to delete # {0}?', $bono->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Bonos'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Bono'), ['action' => 'add']) ?> </li>
        <li><?= $this->Html->link(__('List Stocks'), ['controller' => 'Stocks', 'action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Stock'), ['controller' => 'Stocks', 'action' => 'add']) ?> </li>
        <li><?= $this->Html->link(__('List Empleados'), ['controller' => 'Empleados', 'action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Empleado'), ['controller' => 'Empleados', 'action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="bonos view large-9 medium-8 columns content">
    <h3><?= h($bono->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Stock') ?></th>
            <td><?= $bono->has('stock') ? $this->Html->link($bono->stock->id, ['controller' => 'Stocks', 'action' => 'view', $bono->stock->id]) : '' ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Empleado') ?></th>
            <td><?= $bono->has('empleado') ? $this->Html->link($bono->empleado->cedula, ['controller' => 'Empleados', 'action' => 'view', $bono->empleado->id]) : '' ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Telefono') ?></th>
            <td><?= h($bono->telefono) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cedula') ?></th>
            <td><?= h($bono->cedula) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Fecha') ?></th>
            <td><?= h($bono->fecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Hora') ?></th>
            <td><?= h($bono->hora) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($bono->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Estado') ?></th>
            <td><?= $this->Number->format($bono->estado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Moneda') ?></th>
            <td><?= $this->Number->format($bono->moneda) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Monto') ?></th>
            <td><?= $this->Number->format($bono->monto) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Activo') ?></th>
            <td><?= $this->Number->format($bono->activo) ?></td>
        </tr>
    </table>
</div>
