<?php
/**
  * @var \App\View\AppView $this
  */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actiones') ?></li>
        <li><?= $this->Html->link(__('Nuevo Empleado'), ['action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('Listado Users'), ['controller' => 'Users', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('Nuevo User'), ['controller' => 'Users', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="empleados index large-9 medium-8 columns content">
    <h3><?= __('Empleados') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('nombre') ?></th>
                <th scope="col"><?= $this->Paginator->sort('apellido') ?></th>
                <th scope="col"><?= $this->Paginator->sort('modalidad') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fechaingreso') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usistema') ?></th>
                <th scope="col"><?= $this->Paginator->sort('telefono1') ?></th>
                <th scope="col"><?= $this->Paginator->sort('telefono2') ?></th>
                <th scope="col"><?= $this->Paginator->sort('telefono3') ?></th>
                <th scope="col"><?= $this->Paginator->sort('domicilio') ?></th>
                <th scope="col"><?= $this->Paginator->sort('nrodomi') ?></th>
                <th scope="col"><?= $this->Paginator->sort('dominum') ?></th>
                <th scope="col"><?= $this->Paginator->sort('edad') ?></th>
                <th scope="col"><?= $this->Paginator->sort('sexo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('estadocivil') ?></th>
                <th scope="col"><?= $this->Paginator->sort('profesion') ?></th>
                <th scope="col"><?= $this->Paginator->sort('sena') ?></th>
                <th scope="col"><?= $this->Paginator->sort('esteempleado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('sueldo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('horaxdia') ?></th>
                <th scope="col"><?= $this->Paginator->sort('horaextra') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fercosto') ?></th>
                <th scope="col"><?= $this->Paginator->sort('comitipo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('prectipo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('ventacont') ?></th>
                <th scope="col"><?= $this->Paginator->sort('ventacred') ?></th>
                <th scope="col"><?= $this->Paginator->sort('cobrador') ?></th>
                <th scope="col"><?= $this->Paginator->sort('observacion') ?></th>
                <th scope="col"><?= $this->Paginator->sort('moneda') ?></th>
                <th scope="col"><?= $this->Paginator->sort('comivcont') ?></th>
                <th scope="col"><?= $this->Paginator->sort('comivcred') ?></th>
                <th scope="col"><?= $this->Paginator->sort('cedula') ?></th>
                <th scope="col"><?= $this->Paginator->sort('ruc') ?></th>
                <th scope="col"><?= $this->Paginator->sort('cargo') ?></th>
                <th scope="col" class="actions"><?= __('Actiones') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($empleados as $empleado): ?>
            <tr>
                <td><?= $this->Number->format($empleado->id) ?></td>
                <td><?= h($empleado->nombre) ?></td>
                <td><?= h($empleado->apellido) ?></td>
                <td><?= $this->Number->format($empleado->modalidad) ?></td>
                <td><?= h($empleado->fechaingreso) ?></td>
                <td><?= $this->Number->format($empleado->usistema) ?></td>
                <td><?= h($empleado->telefono1) ?></td>
                <td><?= h($empleado->telefono2) ?></td>
                <td><?= h($empleado->telefono3) ?></td>
                <td><?= h($empleado->domicilio) ?></td>
                <td><?= h($empleado->nrodomi) ?></td>
                <td><?= h($empleado->dominum) ?></td>
                <td><?= $this->Number->format($empleado->edad) ?></td>
                <td><?= $this->Number->format($empleado->sexo) ?></td>
                <td><?= $this->Number->format($empleado->estadocivil) ?></td>
                <td><?= h($empleado->profesion) ?></td>
                <td><?= h($empleado->sena) ?></td>
                <td><?= $this->Number->format($empleado->esteempleado) ?></td>
                <td><?= $this->Number->format($empleado->sueldo) ?></td>
                <td><?= $this->Number->format($empleado->horaxdia) ?></td>
                <td><?= $this->Number->format($empleado->horaextra) ?></td>
                <td><?= $this->Number->format($empleado->fercosto) ?></td>
                <td><?= $this->Number->format($empleado->comitipo) ?></td>
                <td><?= $this->Number->format($empleado->prectipo) ?></td>
                <td><?= $this->Number->format($empleado->ventacont) ?></td>
                <td><?= $this->Number->format($empleado->ventacred) ?></td>
                <td><?= $this->Number->format($empleado->cobrador) ?></td>
                <td><?= h($empleado->observacion) ?></td>
                <td><?= $this->Number->format($empleado->moneda) ?></td>
                <td><?= $this->Number->format($empleado->comivcont) ?></td>
                <td><?= $this->Number->format($empleado->comivcred) ?></td>
                <td><?= h($empleado->cedula) ?></td>
                <td><?= h($empleado->ruc) ?></td>
                <td><?= h($empleado->cargo) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('Ver'), ['action' => 'view', $empleado->id]) ?>
                    <?= $this->Html->link(__('Editar'), ['action' => 'edit', $empleado->id]) ?>
                    <?= $this->Form->postLink(__('Borrar'), ['action' => 'delete', $empleado->id], ['confirm' => __('Desea eliminar registro # {0}?', $empleado->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('Primero')) ?>
            <?= $this->Paginator->prev('< ' . __('Anterior')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('Siguiente') . ' >') ?>
            <?= $this->Paginator->last(__('Ultimo') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Pagina {{page}} de {{pages}}, mostrando {{current}} registro(s) de {{count}} total')]) ?></p>
    </div>
</div>
