<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Gasto[]|\Cake\Collection\CollectionInterface $gastos
 */
?>
<div class="row">
    
     
<div class="col-md-12">
        <div class="page-header">
            <h2>Listado de Gasto</h2>
        </div>


 <div class="table-responsive">
            <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fechacarga') ?></th>
                <th scope="col"><?= $this->Paginator->sort('monto') ?></th>
                <th scope="col"><?= $this->Paginator->sort('moneda') ?></th>
                <th scope="col"><?= $this->Paginator->sort('borrado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usuario') ?></th>
                <th scope="col"><?= $this->Paginator->sort('caja') ?></th>
                <th scope="col"><?= $this->Paginator->sort('cierre') ?></th>
                <th scope="col"><?= $this->Paginator->sort('numfactura') ?></th>
                <th scope="col"><?= $this->Paginator->sort('tipgasto') ?></th>
                <th scope="col"><?= $this->Paginator->sort('deposito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fechasct') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usuariosct') ?></th>
                <th scope="col"><?= $this->Paginator->sort('maquinasct') ?></th>
                <th scope="col"><?= $this->Paginator->sort('nrocierre') ?></th>
                <th scope="col"><?= $this->Paginator->sort('cierrecajagennro') ?></th>
                <th scope="col"><?= $this->Paginator->sort('valor') ?></th>
                <th scope="col"><?= $this->Paginator->sort('codigoadelanto') ?></th>
                <th scope="col"><?= $this->Paginator->sort('codigoliquidacion') ?></th>
                <th scope="col"><?= $this->Paginator->sort('ingresoencaja') ?></th>
                <th scope="col"><?= $this->Paginator->sort('tipo_adelanto') ?></th>
                <th scope="col"><?= $this->Paginator->sort('adelanto_monto') ?></th>
                <th scope="col"><?= $this->Paginator->sort('deuda_monto') ?></th>
                <th scope="col"><?= $this->Paginator->sort('funcionario') ?></th>
                 <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($gastos as $gasto): ?>
            <tr>
                <td><?= $this->Number->format($gasto->id) ?></td>
                <td><?= h($gasto->fecha) ?></td>
                <td><?= h($gasto->fechacarga) ?></td>
                <td><?= $this->Number->format($gasto->monto) ?></td>
                <td><?= $this->Number->format($gasto->moneda) ?></td>
                <td><?= $this->Number->format($gasto->borrado) ?></td>
                <td><?= $this->Number->format($gasto->usuario) ?></td>
                <td><?= h($gasto->caja) ?></td>
                <td><?= $this->Number->format($gasto->cierre) ?></td>
                <td><?= h($gasto->numfactura) ?></td>
                <td><?= $this->Number->format($gasto->tipgasto) ?></td>
                <td><?= $this->Number->format($gasto->deposito) ?></td>
                <td><?= h($gasto->fechasct) ?></td>
                <td><?= $this->Number->format($gasto->usuariosct) ?></td>
                <td><?= h($gasto->maquinasct) ?></td>
                <td><?= $this->Number->format($gasto->nrocierre) ?></td>
                <td><?= $this->Number->format($gasto->cierrecajagennro) ?></td>
                <td><?= $this->Number->format($gasto->valor) ?></td>
                <td><?= $this->Number->format($gasto->codigoadelanto) ?></td>
                <td><?= $this->Number->format($gasto->codigoliquidacion) ?></td>
                <td><?= $this->Number->format($gasto->ingresoencaja) ?></td>
                <td><?= $this->Number->format($gasto->tipo_adelanto) ?></td>
                <td><?= $this->Number->format($gasto->adelanto_monto) ?></td>
                <td><?= $this->Number->format($gasto->deuda_monto) ?></td>
                <td><?= $this->Number->format($gasto->funcionario) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('Ver'), ['action' => 'view', $gasto->id] , ['class' => 'btn btn-sm btn-info']) ?>
                    <?= $this->Html->link(__('Editar'), ['action' => 'edit', $gasto->id] , ['class' => 'btn btn-sm btn-primary']) ?>
                    <?= $this->Form->postLink(__('Borrar'), ['action' => 'delete', $gasto->id],  ['class' => 'btn btn-sm btn-danger'], ['confirm' => __('Estas seguro que desea borrar el registro # {0}?', $gasto->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
          
            <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>

        </ul>
        <p><?= $this->Paginator->counter() ?></p>
    </div>
    </div>
</div>
