<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Imagenapp[]|\Cake\Collection\CollectionInterface $imagenapps
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Imagenapp'), ['action' => 'add']) ?></li>
    </ul>
</nav>
<div class="imagenapps index large-9 medium-8 columns content">
    <h3><?= __('Imagenapps') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('codigo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($imagenapps as $imagenapp): ?>
            <tr>
                <td><?= $this->Number->format($imagenapp->id) ?></td>
                <td><?= $this->Number->format($imagenapp->codigo) ?></td>
                <td><?= h($imagenapp->chasis) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('ADD'), ['action' => 'add', $imagenapp->chasis]) ?>
                    <?= $this->Html->link(__('View'), ['action' => 'view', $imagenapp->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $imagenapp->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $imagenapp->id], ['confirm' => __('Are you sure you want to delete # {0}?', $imagenapp->id)]) ?>

                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
