<?php
$isMobile = $this->request->is('mobile');
$this->Html->scriptBlock('function isMobile() {return window.innerWidth <= 768;}', ['block' => true]);
?>

<div class="container">
  <div class="col-md-12">
    <div class="page-header">
      <h3>
        <?= __('Consumos del mes (Total:') ?>
        <?= number_format($totalVentasEmpleado, 0, '.', ',') . ")" ?>
      </h3>

    </div>

    <?php
    if ($isMobile and $current_user['tipovista'] == 1) : ?>

      <div class="table-responsive">
        <table class="table table-striped table-hover">
          <thead>
            <tr>
              <th scope="col">
                <?= $this->Paginator->sort('fecha') ?><br>
                <?= $this->Paginator->sort('detalle') ?><br>
                <?= $this->Paginator->sort('cantidad') ?><br>
                <?= $this->Paginator->sort('precio') ?><br>
                <?= $this->Paginator->sort('total') ?><br>
                <?= $this->Paginator->sort('moneda') ?>
              </th>
            </tr>
          </thead>
          <tbody>
            <?php foreach ($listadoventas as $listadoventa) : ?>
              <tr>
                <td>
                  <?= h($listadoventa->fecha) ?><br>
                  <?= h($listadoventa->detalle) ?><br>
                  <?= h($listadoventa->cantidad) ?><br>
                  <?= number_format(h($listadoventa->precio), 0, ',', '.') ?><br>
                  <?= number_format(h($listadoventa->total), 0, ',', '.') ?><br>
                  <?= h($listadoventa->moneda) ?>
                </td>
              <?php endforeach; ?>
          </tbody>
        </table>
      </div>
    <?php else : ?>
      <div class="table-responsive">
        <table class="table table-striped table-hover">
          <thead>
            <tr>
              <th scope="col">
                <?= $this->Paginator->sort('fecha') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('detalle') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('cantidad') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('precio') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('total') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('moneda') ?>
              </th>
            </tr>
          </thead>
          <tbody>
            <?php foreach ($listadoventas as $listadoventa) : ?>
              <tr>
                <td>
                  <?= h($listadoventa->fecha) ?>
                </td>

                <td>
                  <?= h($listadoventa->detalle) ?>
                </td>
                <td>
                  <?= h($listadoventa->cantidad) ?>
                </td>
                <td>
                  <?= number_format(h($listadoventa->precio), 0, ',', '.') ?>
                </td>
                <td>
                  <?= number_format(h($listadoventa->total), 0, ',', '.') ?>
                </td>
                <td>
                  <?= h($listadoventa->moneda) ?>

                </td>
              <?php endforeach; ?>
          </tbody>
        </table>
      </div>
    <?php endif; ?>

    <div class="paginator">
      <ul class="pagination">
        <!-- <?= $this->Paginator->first('<< ' . __('inicio')) ?> -->
        <!-- <?= $this->Paginator->prev('< ' . __('anterior')) ?> -->
        <?= $this->Paginator->numbers() ?>
        <!-- <?= $this->Paginator->next(__('siguiente') . ' >') ?> -->
        <!-- <?= $this->Paginator->last(__('fin') . ' >>') ?> -->
      </ul>
      <p>
        <?= $this->Paginator->counter(['format' => __('{{page}} de {{pages}}, mostrando {{current}} registro(s)
        de un total de {{count}}')]) ?>
      </p>
    </div>
  </div>
</div>
