<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Editar Precio</title>
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet">
</head>

<body>
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div class="page-header">
                    <h2>Crear precio</h2>
                </div>
                <?= $this->Form->create($preciocredito, ['onsubmit' => 'return validarFormulario();']) ?>

                <div class="form-group">
                    
                    <div class="form-group col-md-8">  
                        <label for="modelo">Modelo</label>
                        <?= $this->Form->select('modelo', $consulta->combine('lista', 'lista'), ['empty' => true, 'class' => 'modeloselect form-control', 'required' => true]) ?>
                    </div>
                    
                    <div class="form-group col-md-4"> 
                        <?php echo $this->Form->input('carroceria', [
                            'label' => 'Carroceria',
                            'options' => [
                                '1' => 'NORMAL',
                                '2' => 'VIEJO',
                                '3' => 'NUEVO',
                                '4' => 'EQUIPADO',
                            ]
                        ]); ?>
                    </div>
                </div>

                <div class="form-row">
                    <div class="form-group col-md-6">

                        <?= $this->Form->input('ano_desde', [
                            'type' => 'number',
                            'min' => '1990',
                            'max' => '2023',
                            'step' => '1',
                            'class' => 'form-control',
                            'required' => true,
                            'label' => 'Año desde',
                        ]) ?>
                    </div>

                    <div class="form-group col-md-6">
                        <?= $this->Form->input('ano_hasta', [
                            'type' => 'number',
                            'min' => '1990',
                            'max' => '2023',
                            'step' => '1',
                            'class' => 'form-control',
                            'required' => true,
                            'label' => 'Año hasta',
                        ]) ?>
                    </div>
                </div>

                <div class="form-group">
                    <div class="form-group col-md-6">
                        <?= $this->Form->input('entregaminimags', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Entrega en guaraníes',
                        ]) ?>
                    </div>
                   
                    
                    <div class="form-group col-md-6">
                        <?= $this->Form->input('entregamantenimiento', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Entrega mantenimiento',
                        ]) ?>
                    </div>
                </div>
                
                 <div class="form-group">
                    <div class="form-group col-md-6">
                        <?= $this->Form->input('entregapromogs', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Entrega PROMO en guaraníes',
                        ]) ?>
                    </div>
                   
                    
                    <div class="form-group col-md-6">
                        <?= $this->Form->input('entregafuerags', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Entrega fuera lista',
                        ]) ?>
                    </div>
                </div>
                
                
                
                <div class="form-group">
                     <div class="form-group col-md-12">
                        <?= $this->Form->input('interes', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Interés',
                        ]) ?>
                    </div>
                </div>
                <br />
                
                <div class="form-row">
                    Bono
                </div>   
                <br /> 
                <div class="form-group">
                    <div class="form-group col-md-6">
                        <?= $this->Form->input('bonoentregalista', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Bono entrega lista',
                        ]) ?>
                    </div>
                   
                    
                    <div class="form-group col-md-6">
                        <?= $this->Form->input('bonototallista', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Bono total lista',
                        ]) ?>
                    </div>
                </div>
                <div class="form-group">
                    <div class="form-group col-md-6">
                        <?= $this->Form->input('bonoentregafuera', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Bono entrega fuera',
                        ]) ?>
                    </div>
                   
                    
                    <div class="form-group col-md-6">
                        <?= $this->Form->input('bonototalfuera', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Bono total fuera',
                        ]) ?>
                    </div>
                </div>
                <div class="form-group">
                    <div class="form-group col-md-6">
                        <?= $this->Form->input('bonoentregapromo', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Bono entrega promo',
                        ]) ?>
                    </div>
                   
                    
                    <div class="form-group col-md-6">
                        <?= $this->Form->input('bonototalpromo', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Bono total promo',
                        ]) ?>
                    </div>
                </div>
                <br />
                
                <div class="form-row">
                    Comision
                </div>   
                <br />
                <div class="form-group">
                    <div class="form-group col-md-4">
                        <?= $this->Form->input('comisionlista1', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Comision lista 1',
                        ]) ?>
                    </div>
                   
                    <div class="form-group col-md-4">
                        <?= $this->Form->input('comisionlista2', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Comision lista 2',
                        ]) ?>
                    </div>
                    
                     <div class="form-group col-md-4">
                        <?= $this->Form->input('comisionlista3', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Comision lista 3',
                        ]) ?>
                    </div>
                </div>
                <div class="form-group">
                    <div class="form-group col-md-4">
                        <?= $this->Form->input('comisionfuera1', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Comision fuera 1',
                        ]) ?>
                    </div>
                   
                    <div class="form-group col-md-4">
                        <?= $this->Form->input('comisionfuera2', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Comision fuera 2',
                        ]) ?>
                    </div>
                    
                     <div class="form-group col-md-4">
                        <?= $this->Form->input('comisionfuera3', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Comision fuera 3',
                        ]) ?>
                    </div>
                </div>
                <div class="form-group">
                    <div class="form-group col-md-4">
                        <?= $this->Form->input('comisionpromo1', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Comision promo 1',
                        ]) ?>
                    </div>
                   
                    <div class="form-group col-md-4">
                        <?= $this->Form->input('comisionpromo2', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Comision promo 2',
                        ]) ?>
                    </div>
                    
                     <div class="form-group col-md-4">
                        <?= $this->Form->input('comisionpromo3', [
                            'type' => 'number',
                            'class' => 'form-control',
                            'min' => '0',
                            'required' => true,
                            'label' => 'Comision promo 3',
                        ]) ?>
                    </div>
                </div>
                <br /> 
                
                
                <div class="form-row">
                    Precio de lista   
                 </div>   <br />  

                <div class="form-row">
                    <?php for ($i = 1; $i <= 48; $i++) : ?>
                        <div class="form-group col-md-2">

                            <?= $this->Form->input('mes' . $i, [
                                'type' => 'text',
                                'class' => 'form-control valor-mensual',
                                'required' => true,
                                'label' => 'Mes ' . $i,
                            ]) ?>
                        </div>
                    <?php endfor; ?>
                </div>
                
                 <div class="form-row">
                    Precio menos entrega - Fuera lista  
                 </div>  <br /> 
                
                 <div class="form-row">
                    <?php for ($i = 1; $i <= 48; $i++) : ?>
                        <div class="form-group col-md-2 text-danger">

                            <?= $this->Form->input('mesfuera' . $i, [
                                'type' => 'text',
                                'class' => 'form-control valor-mensualfuera',
                                'required' => true,
                                'label' => 'Fuera Mes ' . $i,
                            ]) ?>
                        </div>
                    <?php endfor; ?>
                </div>
                
                
                 <div class="form-row">
                    Precio promo   
                 </div>   <br />  
                
                 <div class="form-row">
                    <?php for ($i = 1; $i <= 48; $i++) : ?>
                        <div class="form-group col-md-2 text-success">

                            <?= $this->Form->input('mespromo' . $i, [
                                'type' => 'text',
                                'class' => 'form-control  valor-mensualpromo',
                                'required' => true,
                                'label' => 'Mes promo ' . $i,
                            ]) ?>
                        </div>
                    <?php endfor; ?>
                </div>
                

                <div class="form-group">
                    <?= $this->Form->button('Modificar', ['class' => 'btn btn-success btn-block']) ?>
                </div>

                <?= $this->Form->end() ?>
            </div>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

    <script>
        $(document).ready(function() {
            $('.modeloselect').select2();
        });

        $('.valor-mensual').on('input', function() {
            var valor = parseFloat($(this).val());
            var index = $(this).index('.valor-mensual');

            // Define los grupos de meses (en este caso, grupos de 5 meses)
            var gruposDeMeses = [
                [1, 2, 3, 4, 5, 6],
                [7, 8, 9, 10, 11, 12],
                [13, 14, 15, 16, 17, 18],
                [19, 20, 21, 22, 23, 24],
                [25, 26, 27, 28, 29, 30],
                [31, 32, 33, 34, 35, 36],
                [37, 38, 39, 40, 41, 42],
                [43, 44, 45, 46, 47, 48],
                // Agrega más grupos aquí si es necesario
            ];

            // Establece el valor ingresado en los meses del grupo correspondiente
            $.each(gruposDeMeses, function(i, grupo) {
                if ($.inArray(index + 1, grupo) !== -1) {
                    $.each(grupo, function(j, mes) {
                        if (mes !== index + 1) {
                            $('.valor-mensual').eq(mes - 1).val(valor);
                        }
                    });
                    return false; // Sal del bucle cuando se encuentre el grupo
                }
            });
        });
        
        $('.valor-mensualfuera').on('input', function() {
            var valor = parseFloat($(this).val());
            var index = $(this).index('.valor-mensualfuera');

            // Define los grupos de meses (en este caso, grupos de 5 meses)
            var gruposDeMeses = [
                [1, 2, 3, 4, 5, 6],
                [7, 8, 9, 10, 11, 12],
                [13, 14, 15, 16, 17, 18],
                [19, 20, 21, 22, 23, 24],
                [25, 26, 27, 28, 29, 30],
                [31, 32, 33, 34, 35, 36],
                [37, 38, 39, 40, 41, 42],
                [43, 44, 45, 46, 47, 48],
                // Agrega más grupos aquí si es necesario
            ];

            // Establece el valor ingresado en los meses del grupo correspondiente
            $.each(gruposDeMeses, function(i, grupo) {
                if ($.inArray(index + 1, grupo) !== -1) {
                    $.each(grupo, function(j, mes) {
                        if (mes !== index + 1) {
                            $('.valor-mensualfuera').eq(mes - 1).val(valor);
                        }
                    });
                    return false; // Sal del bucle cuando se encuentre el grupo
                }
            });
        });
        
        $('.valor-mensualpromo').on('input', function() {
            var valor = parseFloat($(this).val());
            var index = $(this).index('.valor-mensualpromo');

            // Define los grupos de meses (en este caso, grupos de 5 meses)
            var gruposDeMeses = [
                [1, 2, 3, 4, 5, 6],
                [7, 8, 9, 10, 11, 12],
                [13, 14, 15, 16, 17, 18],
                [19, 20, 21, 22, 23, 24],
                [25, 26, 27, 28, 29, 30],
                [31, 32, 33, 34, 35, 36],
                [37, 38, 39, 40, 41, 42],
                [43, 44, 45, 46, 47, 48],
                // Agrega más grupos aquí si es necesario
            ];

            // Establece el valor ingresado en los meses del grupo correspondiente
            $.each(gruposDeMeses, function(i, grupo) {
                if ($.inArray(index + 1, grupo) !== -1) {
                    $.each(grupo, function(j, mes) {
                        if (mes !== index + 1) {
                            $('.valor-mensualpromo').eq(mes - 1).val(valor);
                        }
                    });
                    return false; // Sal del bucle cuando se encuentre el grupo
                }
            });
        });

        function validarFormulario() {
            var desde = document.getElementById('ano_desde').value;
            var hasta = document.getElementById('ano_hasta').value;

            if (hasta < desde) {
                alert('El "hasta" no puede ser menor que el "desde".');
                return false;
            }

            // Otras validaciones o acciones adicionales si es necesario
            //que no sea vacío o que no sea 0 o que no sea mayor que 2023
            if (desde == '' || desde == 0 || desde > 2023) {
                alert('El año desde debe ser mayor que 0 y menor o igual a 2023.');
                return false;
            }

            if (hasta == '' || hasta == 0 || hasta > 2023) {
                alert('El año hasta debe ser mayor que 0 y menor o igual a 2023.');
                return false;
            }

            return true;
        }
    </script>
</body>

</html>