<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\PropuestasFeria[]|\Cake\Collection\CollectionInterface $propuestasFerias
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Propuestas Feria'), ['action' => 'add']) ?></li>
    </ul>
</nav>
<div class="propuestasFerias index large-9 medium-8 columns content">
    <h3><?= __('Propuestas Ferias') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('nombre') ?></th>
                <th scope="col"><?= $this->Paginator->sort('celular') ?></th>
                <th scope="col"><?= $this->Paginator->sort('propuesta') ?></th>
                <th scope="col"><?= $this->Paginator->sort('observacion') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                <th scope="col"><?= $this->Paginator->sort('bono') ?></th>
                <th scope="col"><?= $this->Paginator->sort('respuestagerente') ?></th>
                <th scope="col"><?= $this->Paginator->sort('estado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usuario') ?></th>
                <th scope="col"><?= $this->Paginator->sort('photo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('photo_dir') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('hora') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vendedor') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($propuestasFerias as $propuestasFeria): ?>
            <tr>
                <td><?= $this->Number->format($propuestasFeria->id) ?></td>
                <td><?= h($propuestasFeria->nombre) ?></td>
                <td><?= h($propuestasFeria->celular) ?></td>
                <td><?= h($propuestasFeria->propuesta) ?></td>
                <td><?= h($propuestasFeria->observacion) ?></td>
                <td><?= h($propuestasFeria->chasis) ?></td>
                <td><?= $this->Number->format($propuestasFeria->bono) ?></td>
                <td><?= h($propuestasFeria->respuestagerente) ?></td>
                <td><?= $this->Number->format($propuestasFeria->estado) ?></td>
                <td><?= $this->Number->format($propuestasFeria->usuario) ?></td>
                <td><?= h($propuestasFeria->photo) ?></td>
                <td><?= h($propuestasFeria->photo_dir) ?></td>
                <td><?= h($propuestasFeria->fecha) ?></td>
                <td><?= h($propuestasFeria->hora) ?></td>
                <td><?= h($propuestasFeria->vendedor) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $propuestasFeria->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $propuestasFeria->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $propuestasFeria->id], ['confirm' => __('Are you sure you want to delete # {0}?', $propuestasFeria->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
