<?php
// En la vista repuestos/index.ctp

// Añade una variable PHP para indicar si estás en un dispositivo móvil
$isMobile = $this->request->is('mobile');

// Utiliza JavaScript para verificar si estás en modo móvil o de escritorio
$this->Html->scriptBlock('
    function isMobile() {
        return window.innerWidth <= 768; // Puedes ajustar este valor según tus necesidades
    }

', ['block' => true]);
?>

<div class="row">
    <div class="col-md-12">
        <div class="page-header">
    		<h4 align="center">LISTADO DE REPUESTOS - INVENTARIO</h4>
    		
            <div class="container-fluid">
                <?php echo $this->Form->create('Repuestos', array('type' => 'GET', 'url' => array('controller' => 'Repuestos', 'action' => 'inventario'))); ?>
                <div class="row">
                    <div class="col-md-9 col-xs-12">
                        <?php echo $this->Form->input('search', array('label' => false, 'value' => $search, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Codigo o descripcion...')); ?>
                    </div>
                    <div class="col-md-3 col-xs-12">
                        <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary btn-block')); ?>  <?php echo $this->Form->end(); ?>
                    </div>
                </div>
            </div>
            
    	</div>
        
       <div class="table-responsive">
             <table class="table  table-sm">
                <thead>
                    <tr>
                        <th></th>
                        <th><?= $this->Paginator->sort('prr_codigo', ['Codigo']) ?></th>
                        <th><?= $this->Paginator->sort('prr_descripcion', ['Descripcion']) ?></th>
                        <th><?= $this->Paginator->sort('prr_stock', ['Stock']) ?></th>
                        
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($repuestos as $repuesto): ?>
                        <?php if ($isMobile): ?>
                            <tr>
                                <td> <?php echo $this->Html->image('/img/repuesto/'. $repuesto->prr_imagen, array('width' => 80, 'height' => 60)); ?>
                                 <?= h("COD: " . $repuesto->prr_cod) ?><br>
                                <?= h($repuesto->prr_codigo) ?><br>
                                <?= h($repuesto->prr_descripcion) ?><br>
                                <?= number_format($repuesto->prr_stock, 0, ',', '.') ?><br>
                                
                                    <input type="number" id="cantidad<?= $repuesto->prr_cod ?>" name="cantidad" min="0" value="0">
                                    <input type="hidden" name="repuesto_id" value="<?= $repuesto->prr_cod ?>">
                                    <button onclick="addCantidad(<?= $repuesto->prr_cod ?>)">Agregar</button>
                                </td>
                           </tr>   
                        <?php else: ?>
                            <tr>
                                <td> <?php echo $this->Html->image('/img/repuesto/'. $repuesto->prr_imagen, array('width' => 80, 'height' => 60)); ?></td>
                                <td><?= h($repuesto->prr_codigo) ?></td>
                                <td><?= h($repuesto->prr_descripcion) ?></td>
                                <td><?= number_format($repuesto->prr_stock, 0, ',', '.') ?></td>
                                <td>
                                    <input type="number" id="cantidad<?= $repuesto->prr_cod ?>" name="cantidad" min="0" value="0">
                                    <input type="hidden" name="repuesto_id" value="<?= $repuesto->prr_cod ?>">
                                    <button onclick="addCantidad(<?= $repuesto->prr_cod ?>)">Agregar</button>
                                </td>
                           </tr>
                       <?php endif; ?>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>




<script type="text/javascript">
   

    function addCantidad(repuestoId) {
         var cantidad = document.getElementById('cantidad' + repuestoId).value;
          console.log(cantidad);
        
        
        jQuery.ajax({
			type:'POST',
			async: true,
			cache: false,
			data: {cantidad:cantidad, repuesto_id:repuestoId },
			
			url:"https://www.app.hvnimportaciones.com.py/repuestos/addcantidad",
			success: function(response) {	
    			alert("AGREGADO");
			},
			error: function(response) {					
				console.log("eroor");
				console.log(response.responseText);
			}
		});
		
    }
</script>

