<?php
$isMobile = $this->request->is('mobile');
$this->Html->scriptBlock('function isMobile(){return window.innerWidth <= 768;}', ['block' => true]);
?>

<?= $this->Html->css('bootstrap.min.css') ?>

<script type="text/javascript">
    $(function() {
        $('*[data-href]').click(function() {
            window.location = $(this).data('href');
            return false;
        });
    });
</script>

<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h4 align="center">LISTADO DE STOCK DE VEHICULOS (FRANQUICIA)</h4>

            <div class="container-fluid">
                <?php echo $this->Form->create('Franquiciastocks', array('type' => 'GET', 'url' => array('controller' => 'Stocks', 'action' => 'franquicia'))); ?>
                <div class="row">
                    <div class="col-md-9 col-xs-12">
                        <?php echo $this->Form->input('search', array(
                            'label' => false,
                            'value' => $search,
                            'div' => false,
                            'id' => 's',
                            'class' => 'form-control s',
                            'autocomplete' => 'off',
                            'placeholder' => 'Chassis o modelo...',
                            'oninput' => "this.value = this.value.toUpperCase()"
                        )); ?>
                    </div>
                    <div class="col-md-3 col-xs-12">
                        <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary btn-block')); ?> <?php echo $this->Form->end(); ?>
                    </div>
                </div>
            </div>

        </div>

        <div class="table-responsive">
            <table class="table table-sm">
                <thead>
                    <tr>
                        <?php
                        if ($current_user['fotogrilla'] == 0) {
                        ?>
                            <th></th>
                        <?php
                        }
                        ?>

                        <!-- lm -->
                        <?php
                        if ($isMobile and $current_user['tipovista'] == 1): ?>
                            <th><?= $this->Paginator->sort('modelo', ['Modelo']) ?><br>
                                <?= $this->Paginator->sort('ano', ['Año']) ?><br>
                                <?= $this->Paginator->sort('color', ['Color']) ?><br>
                                <?= $this->Paginator->sort('chasis', ['Chasis']) ?><br>
                                <?= $this->Paginator->sort('ubicacion', ['Ubicación']) ?></th>
                        <?php else: ?>
                            <th><?= $this->Paginator->sort('modelo', ['Modelo']) ?></th>
                            <th><?= $this->Paginator->sort('ano', ['Año']) ?></th>
                            <th><?= $this->Paginator->sort('color', ['Color']) ?></th>
                            <th><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
                            <th><?= $this->Paginator->sort('ubicacion', ['Ubicación']) ?></th>
                        <?php endif; ?>
                        <!-- lm -->

                        <?php
                        if (
                            $current_user['id'] == 3 or $current_user['id'] == 1 or $current_user['id'] == 48 or $current_user['id'] == 312
                            or $current_user['id'] == 341 or $current_user['id'] == 201 or $current_user['id'] == 326 or $current_user['id'] == 15
                            or $current_user['id'] == 42 or $current_user['id'] == 26 or $current_user['id'] == 25 or $current_user['id'] == 19
                            or $current_user['id'] == 101  or $current_user['id'] == 269  or $current_user['id'] == 130
                            or $current_user['id'] == 11 or $current_user['id'] == 197 or $current_user['id'] == 299 or $current_user['id'] == 382
                            or $current_user['id'] == 4 or $current_user['id'] == 6 or $current_user['id'] == 110 or $current_user['id'] == 694
                        ) {
                        ?>
                            <th><?= $this->Paginator->sort('fecha_ingreso', ['Fecha ingreso']) ?></th>
                            <th><?= $this->Paginator->sort('costo', ['Costo']) ?></th>
                            <th><?= $this->Paginator->sort('contado', ['Ult. precio']) ?></th>
                        <?php
                        }
                        ?>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($stocks as $stock): ?>

                        <tr data-href='/stocks/viewfranquicia/<?= $stock->id ?>'
                            <?php
                            if ($stock->terminado == 1) {
                            ?>
                            style=" background-color: #E2FFE1" ;
                            <?php
                            }
                            ?>

                            <div>

                            <?php
                            if ($current_user['fotogrilla'] == 0) {
                            ?>
                                <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>">

                                    <!-- lm -->
                                    <?php
                                    $imgfile = ('img/chasisthumbs/thumb_' . $stock->imagen);
                                    if (file_exists($imgfile)):
                                        echo $this->Html->image('/img/chasisthumbs/thumb_' . $stock->imagen, array('width' => 80, 'height' => 60, 'url' => ['action' => 'view', $stock->id]));
                                    else:
                                        echo $this->Html->image('/img/logohvn.png', array('width' => 80, 'height' => 60, 'url' => ['action' => 'view', $stock->id]));
                                    endif;
                                    ?>
                                    <!-- lm -->

                                </td>

                            <?php
                            }
                            ?>

                            <!-- lm -->
                            <?php
                            if ($isMobile and $current_user['tipovista'] == 1): ?>
                                <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>; font-weight: <?= $stock->sena == 'SI' ? 'bold' : 'normal'; ?>;">
                                    <?= h($stock->modelo) ?><br>
                                    <?= h($stock->ano) ?><br>
                                    <?= h($stock->color) ?><br>
                                    <?= h($stock->chasis) ?><br>
                                    <?= array_slice(explode(' - ', $stock->ubicacion), 1)[0] ?></td>

                            <?php else: ?>
                                <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>; font-weight: <?= $stock->sena == 'SI' ? 'bold' : 'normal'; ?>;"> <?= h($stock->modelo) ?></td>
                                <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>"><?= h($stock->ano) ?></td>
                                <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>"><?= h($stock->color) ?></td>
                                <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>"><?= h($stock->chasis) ?></td>
                                <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>"><?= array_slice(explode(' - ', $stock->ubicacion), 1)[0] ?></td>
                            <?php endif; ?>

                            <!-- lm -->

                            <?php
                            if (
                                $current_user['id'] == 3 or $current_user['id'] == 1 or $current_user['id'] == 48 or $current_user['id'] == 326 or $current_user['id'] == 15
                                or $current_user['id'] == 341 or $current_user['id'] == 42 or $current_user['id'] == 26 or $current_user['id'] == 25 or $current_user['id'] == 19
                                or $current_user['id'] == 101 or $current_user['id'] == 269  or $current_user['id'] == 130 or $current_user['id'] == 11 or $current_user['id'] == 197
                                or $current_user['id'] == 299 or $current_user['id'] == 382 or $current_user['id'] == 4 or $current_user['id'] == 6 or $current_user['id'] == 110 or $current_user['id'] == 694
                            ) {
                            ?>
                                <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>"><?= h($stock->fecha_ingreso) ?></td>
                                <td><?= number_format($stock->costo, 0, ',', '.') ?></td>
                                <td><?= number_format($stock->contado, 0, ',', '.') ?></td>
                            <?php
                            }
                            ?>

                            <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>">
                                <?= $this->Html->link('VER', ['action' => 'viewfranquicia', $stock->id], ['class' => 'btn btn-sm btn-info']) ?>
                            </td>

        </div>

        </tr>

    <?php endforeach; ?>
    </tbody>
    </table>
    </div>

    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->prev('< Anterior') ?>
            <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
            <?= $this->Paginator->next('Siguiente >') ?>
        </ul>
        <p><?= $this->Paginator->counter() ?></p>
    </div>
</div>
</div>